Page MenuHomePhabricator

Enable DiscussionTools on zhwiki
Closed, ResolvedPublic

Description

Please enable DiscussionTools on Chinese Wikipedia as the community has reached consensus.

See: https://zh.wikipedia.org/wiki/Wikipedia:互助客栈/技术#擬請討論中文維基百科是否參與測試

Event Timeline

Change 592514 had a related patch set uploaded (by VulpesVulpes825; owner: VulpesVulpes825):
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on zhwiki

https://gerrit.wikimedia.org/r/592514

VulpesVulpes825 moved this task from Backlog to Site configuration on the Chinese-Sites board.

@RhinosF1 Added to swat-2020-04-27-eu for deployment. Thanks for your code review.

@RhinosF1 Added to swat-2020-04-27-eu for deployment. Thanks for your code review.

You need to add it to the calendar as well not just the hashtag. Please also ensure you read https://wikitech.wikimedia.org/wiki/SWAT_deploys so you are aware of the process.

Aklapper renamed this task from Enable DiscussionTools on zhwiki to Enable DiscussionTools as a beta feature on zhwiki.Apr 27 2020, 8:13 AM

I have no "authority" here, but I would prefer if the Editing-team provides feedback first, before deploying this. I love to see the interest in trying out DiscussionTools but I would also want to make sure that the Editing-team has capacity to handle feedback from more of our communities.
T245794 and https://phabricator.wikimedia.org/rOMWC290f5eb564088a454ea61884669648b2e5f5b749 for reference.

Hi, @VulpesVulpes825: You have not removed this from the schedule per @Aklapper’s comment or showed for the SWAT window.

Could you update us? The window is open for another 50 mins.

@RhinosF1 @Aklapper I am not sure. Since it is the Editing-team who send a mass message to every wiki asking for early access participation, I can only presume that the Editing-team has the capacity to handle feedback from more communities.

VulpesVulpes825 changed the task status from Open to Stalled.Apr 27 2020, 11:55 AM

@RhinosF1 I have removed this from the schedule, and I am sorry that I stay at the wrong irc channel during SWAT window.

@RhinosF1 I have removed this from the schedule, and I am sorry that I stay at the wrong irc channel during SWAT window.

No problem, if it’s approved in time, I am happy to sort this for the late SWAT.

I see you have moved it though.

@RhinosF1 @Aklapper I am not sure. Since it is the Editing-team who send a mass message to every wiki asking for early access participation, I can only presume that the Editing-team has the capacity to handle feedback from more communities.

Oh, I did not know this! I am very sorry, in that case!

VulpesVulpes825 changed the task status from Stalled to Open.Apr 27 2020, 4:20 PM

I love to see the interest in trying out DiscussionTools

+1 @Aklapper – we are thrilled to see zh.wiki organize as quickly as you all have to request DiscussionTools be enabled on your wiki, @VulpesVulpes825.

However, for the time being, please do not enable DiscussionTools at zh.wiki.

As @Aklapper mentioned [1], before we can deploy these tools to more wikis, our team needs to finalize our strategy for how we will scale to more wikis while continuing to be responsive to feedback.

You can expect more details from us before about our plan to scale these features to more wikis before the end of next week (8-May).


...but I would also want to make sure that the Editing-team has capacity to handle feedback from more of our communities.

RhinosF1 changed the task status from Open to Stalled.Apr 27 2020, 8:53 PM

...Since it is the Editing-team who send a mass message to every wiki asking for early access participation, I can only presume that the Editing-team has the capacity to handle feedback from more communities.

@VulpesVulpes825, in stating the above, I assume you are referring to the following sentence that appeared in our latest newsletter [1], "If your community also wants early access to the new tool, contact..."?

If so, I can see how this led you all to think we are ready to starting enabling the features on more wikis at this moment.

I'm sorry this created confusion; I hope the plan we will share in the next couple weeks will make it clear how we will be enabling DiscussionTools on wikis that are requesting them.


  1. https://zh.wikipedia.org/w/index.php?title=Wikipedia%3A%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88%2F%E6%8A%80%E6%9C%AF&type=revision&diff=59062722&oldid=59061122
ppelberg renamed this task from Enable DiscussionTools as a beta feature on zhwiki to Enable DiscussionTools on zhwiki.May 8 2020, 11:10 PM

You can expect more details from us before about our plan to scale these features to more wikis before the end of next week (8-May).

Thank you for your patience, @VulpesVulpes825.

Our plan [i] is to make the Reply tool available on zh.wiki on 21-May. You can track our progress on this by subscribing to this task: T252264.

To ensure the Reply tool is working as expected, it will first be made available by way of adding an extra bit of text ( dtenable=1) to the URL of the page people are wanting to use the tools on. [ii]

Once we are all confident the tool is working as expected, it can then be deployed as a Beta Feature.

You can follow our progress in creating a plan for deploying#DiscussionTools to more wikis by subscribing to this task: T252255.


i. Considering all that is going on, I think it important to communicate that plans may change. If they do, we will communicate this.
ii For example, to use the Reply tool on this page, https://zh.wikipedia.org/wiki/Wikipedia:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88/%E6%8A%80%E6%9C%AF, people would need to type this URL into their browser: https://zh.wikipedia.org/wiki/Wikipedia:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88/%E6%8A%80%E6%9C%AF?dtenable=1.

Urbanecm added a subscriber: Urbanecm.

(not really blocked on development, rather on product management, but this is the most related column here)

Change 592514 abandoned by VulpesVulpes825:
Enable DiscussionTools as a beta feature on zhwiki

Reason:
Has been enabled globally using query string parameter. Expect Editing Team to take longer time for strategy for expanding this beta feature to zhwiki.

https://gerrit.wikimedia.org/r/592514

ppelberg claimed this task.

Since 6-August-2020, the Reply Tool has been available at zh.wiki as a Beta Feature.